Infrastructure - Task #1036

Bug # 1034 (Closed): identifier in resolve response objectLocation/url not escaped

add url encoding to url string in cn/resolve filter

2010-11-07 20:05 - Rob Nahf

Status: Closed Start date: 2010-11-07
Priority: Normal Due date:

Assignee: Rob Nahf % Done: 100%
Category: Estimated time: 4.00 hours
Target version: Sprint-2011.01

Milestone: Story Points:

Product Version: *

Description

add URLencoder.encode function to the url returned in the objectlocationlist. Create appropriate tests.

History

#1 - 2010-11-07 20:12 - Rob Nahf
- Assignee set to Rob Nahf

#2 - 2010-11-11 23:56 - Rob Nahf

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

rewrote the encoding function for cn/resolve (putting it in ResolveUtilities), and added unit tests to test the encoding for various code-point ranges
(ascii, non-ascii BMP, and supplementary). The encoding works for all legal Unicode code-points. The encoding is in UTF-8. Referred to
http://www.utf8-chartable.de/unicode-utf8-table.pl to determine expected mapping / encoding.
http://www.utf8-chartable.de/unicode-utf8-table.pl
http://www.tcpdf.org

